version: "3.5"
services:
  socat:
    image: alpine/socat
    container_name: plex-proxy
    command: "tcp-listen:80,fork,reuseaddr tcp-connect:192.168.1.4:32400"
    restart: unless-stopped
    ports:
      - "80"
    environment:
      VIRTUAL_HOST: "plex.home.toozhao.com"
      #VIRTUAL_PORT: 8080
      LETSENCRYPT_HOST: "plex.home.toozhao.com"
      LETSENCRYPT_EMAIL: "me@toozhao.com"
    networks:
      - gateway_default
networks:
  gateway_default:
    external: true
